GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions
grpc::SerializationTraits< ByteBuffer, void > Class Template Reference

`#include <byte_buffer.h>`

## Static Public Member Functions
static Status | Deserialize (grpc_byte_buffer *byte_buffer, ByteBuffer *dest, int max_message_size)
static Status | Serialize (const ByteBuffer &source, grpc_byte_buffer **buffer, bool *own_buffer)

## Member Function Documentation

static Status grpc::SerializationTraits< ByteBuffer, void >::Deserialize | ( | grpc_byte_buffer * | byte_buffer,
|  | ByteBuffer * | dest,
|  | int | max_message_size
| ) |  |
| inline static

static Status grpc::SerializationTraits< ByteBuffer, void >::Serialize | ( | const ByteBuffer & | source,
|  | grpc_byte_buffer ** | buffer,
|  | bool * | own_buffer
| ) |  |
| inline static

The documentation for this class was generated from the following file:

- include/grpc++/byte_buffer.h